AppController (Register VRE Users Portlet 1.1.0-3.6.0 API)
Date: 2015-03-03

org.gcube.portlets.admin.manageusers.client

## Class AppController

- java.lang.Object
- - org.gcube.portlets.admin.manageusers.client.AppController

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.ValueChangeHandler<String>, com.google.gwt.event.shared.EventHandler, Presenter

      public class AppController
      extends Object
      implements Presenter, com.google.gwt.event.logical.shared.ValueChangeHandler<String>

  Version:
    May 2011 (0.1) This AppController contains the view transition logic, to handle logic that is not specific to any presenter and instead resides at the application layer
  Author:
    Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppController(ManageUsersServiceAsync rpcService, com.google.gwt.event.shared.HandlerManager eventBus)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `go(com.google.gwt.user.client.ui.HasWidgets container)`
    `void` | `onValueChange(com.google.gwt.event.logical.shared.ValueChangeEvent<String> event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppController

          public AppController(ManageUsersServiceAsync rpcService,
                       com.google.gwt.event.shared.HandlerManager eventBus)

  - ### Method Detail

    - #### go

          public void go(com.google.gwt.user.client.ui.HasWidgets container)

      Specified by:
        `go` in interface `Presenter`

    - #### onValueChange

          public void onValueChange(com.google.gwt.event.logical.shared.ValueChangeEvent<String> event)

      Specified by:
        `onValueChange` in interface `com.google.gwt.event.logical.shared.ValueChangeHandler<String>`

Copyright © 2015. All Rights Reserved.